(define-module (glicid packages algebra)
  #:use-module (guix packages)
  #:use-module (guix utils)
  #:use-module (gnu packages algebra)
  #:use-module (gnu packages commencement)
)

;;;;;;;;

(define-public fftw-openmpi-with-fortran

  (package
    (inherit fftw-openmpi) 
    (name "fftw-openmpi-with-fortran")
    (arguments

     (substitute-keyword-arguments (package-arguments fftw)
       ((#:configure-flags cf)
        `(cons "--enable-mpi --enable-threads --enable-openmp" ,cf))
       ((#:phases phases '%standard-phases)
        `(modify-phases ,phases
           (add-before 'check 'mpi-setup
             ,%openmpi-setup)))))

;     `(#:phases
;       (modify-phases %standard-phases
;        (delete 'check) ; no check 
;       )
;      )
;   )

    
    (inputs `(("gfortran-toolchain", gfortran-toolchain ) 
      ,@(package-inputs fftw-openmpi)))

  )
)

;;; glicid/maths.scm ends here
